Subject: bug#60356: 30.0.50; individual frame loses keyboard focus, focus cannot be restored

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Dec 2022 18:50:46 +0200

> From: [email-masked]
> Date: Tue, 27 Dec 2022 13:19:44 +0100
> 
> 
> The exact action leading to this bug is not clear to me. It seems to be
> related to lsp-mode though -- I've not observed it happening without
> lsp-mode.
> 
> The symptom is that a single frame will no longer accept keyboard input,
> and will visually indicate that it is not focused (outline rectangular
> cursor where I'd usually expect a solid rectangular cursor). Mouse input
> still works, and other frames still accept keyboard input as normal.
> 
> I'd be glad if anyone could point out ways to further debug this issue.
> I'm also in #emacs:matrix.org (@linus:schreibt.jetzt) in case
> fast-turnaround communication would be helpful :)

If you attach a debugger to Emacs in that state, and type

  (gdb) thread apply all bt

what do you get?  Please post here everything that GDB prints when you
do that.

Thanks.